httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bernard Barton <bf...@comcast.net>
Subject [users@httpd] EAPI vs API
Date Fri, 19 Oct 2007 23:28:36 GMT
When I run an apachectl configtest, I get the errors below regarding compiling apache with
-DEAPI.  Apche has an option "--disable-rule=EAPI=no", and I also tried --enable-rule=EAPI=no.
 Oddly, when I run make in the apache_1.3.33 directory, I see the -DEAPI being passed to the
compiler.  Yet still I get the errors below I'm building an apache 1.3.33 that is mod_ssl/mod_perl
aware httpd.  BTW, these errors are generated by the corresponding LoadModule directive in
the httpd.conf file.

-Thanks


[Fri Oct 19 11:15:33 2007] [warn] Loaded DSO libexec/mod_vhost_alias.so uses plain Apache
1.3 API, this module might crash under EAPI! (please recompile it with -DEAPI)
[Fri Oct 19 11:15:33 2007] [warn] Loaded DSO libexec/mod_log_config.so uses plain Apache 1.3
API, this module might crash under EAPI! (please recompile it with -DEAPI)
[Fri Oct 19 11:15:33 2007] [warn] Loaded DSO libexec/mod_actions.so uses plain Apache 1.3
API, this module might crash under EAPI! (please recompile it with -DEAPI)


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message